Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 153179 - Konqueror crashes, Epiphany crashes or hangs, Firefox hangs or crashes
Konqueror crashes, Epiphany crashes or hangs, Firefox hangs or crashes
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
www.msn.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-01 23:26 EST by Mac Bowles
Modified: 2018-04-11 03:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 18:33:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mac Bowles 2005-04-01 23:26:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
Konqueror crashes while displaying www.msn.com. Firefox never displays the 
page or crashes during display, Epiphany won't go there and display it at all, 
it hangs. Konqueror supplied crash trace and I saved it, if anyone wants it. 
 
 
 
 
 

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.770_FC3, Epiphany 1.4.4, Konqueror 3.3.1-4.3.FC3, Firefox 1.0.2

How reproducible:
Always

Steps to Reproduce:
1. Open browser 
2. goto www.msn.com 
3. if that succeeds, login to get mail 
   

Actual Results:  Crash, hang, bad behaviour of every kind 

Expected Results:  Been able to read the page, navigate from it, sign in for mail 

Additional info:

First version of Konqueror worked great with version of FC3 from SAMS book 
CDs. After automatic updater session (over 200 packages updated), Konqueror 
displayed problem. Other browsers never worked before. They sort of work now. 
Konqueror is still best, but fails on www.msn.com. Using an AMD Athlon home 
built computer with Qwest DSL connection to web.
Comment 1 Mac Bowles 2005-04-01 23:28:07 EST
 this is crash trace - 
 
Using host libthread_db library "/lib/tls/libthread_db.so.1". 
[Thread debugging using libthread_db enabled] 
[New Thread -1209100608 (LWP 5625)] 
[KCrash handler] 
#4  0x00000021 in ?? () 
#5  0x06fd46ed in DOM::CSSParser::parseShortHand () 
   from /usr/lib/libkhtml.so.4 
#6  0x06fe58a7 in QPtrList<khtml::CSSOrderedRule>::deleteItem () 
   from /usr/lib/libkhtml.so.4 
#7  0x014f13d4 in QGList::clear () from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#8  0x06fd56a9 in DOM::CSSParser::parseShortHand () 
   from /usr/lib/libkhtml.so.4 
#9  0x06fd605d in DOM::CSSParser::parseShortHand () 
   from /usr/lib/libkhtml.so.4 
#10 0x06f28c1c in KHTMLInfoDlg::metaObject () from /usr/lib/libkhtml.so.4 
#11 0x06f28c59 in KHTMLInfoDlg::metaObject () from /usr/lib/libkhtml.so.4 
#12 0x06f28da0 in KHTMLInfoDlg::metaObject () from /usr/lib/libkhtml.so.4 
#13 0x06f4fec1 in DOM::removeForbidden () from /usr/lib/libkhtml.so.4 
#14 0x06f50046 in DOM::removeForbidden () from /usr/lib/libkhtml.so.4 
#15 0x06fed538 in QMemArray<khtml::CSSOrderedProperty>::detach () 
   from /usr/lib/libkhtml.so.4 
#16 0x06f4fdab in DOM::removeForbidden () from /usr/lib/libkhtml.so.4 
#17 0x06f4fe01 in DOM::removeForbidden () from /usr/lib/libkhtml.so.4 
#18 0x06f31588 in QPtrStack<DOM::NodeImpl>::deleteItem () 
   from /usr/lib/libkhtml.so.4 
#19 0x06f31e15 in QPtrStack<DOM::NodeImpl>::deleteItem () 
   from /usr/lib/libkhtml.so.4 
#20 0x0707f4b2 in DOM::Node::insertBefore () from /usr/lib/libkhtml.so.4 
#21 0x0700139c in DOM::EventException::~EventException () 
   from /usr/lib/libkhtml.so.4 
#22 0x06ff5e7d in QPtrDict<khtml::CachedObjectClient>::deleteItem () 
   from /usr/lib/libkhtml.so.4 
#23 0x08f4ca48 in KJS::Object::call () from /usr/lib/libkjs.so.1 
#24 0x08f1766a in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#25 0x08f1bad6 in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#26 0x08f22083 in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#27 0x08f1b91e in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#28 0x08f1bea9 in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#29 0x08f22083 in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#30 0x08f1b91e in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#31 0x08f1bea9 in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#32 0x08f22083 in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#33 0x08f1b91e in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#34 0x08f20f13 in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#35 0x08f21fe0 in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#36 0x08f1b91e in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#37 0x08f1bea9 in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#38 0x08f22083 in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#39 0x08f1b91e in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#40 0x08f2159b in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#41 0x08f46b08 in KJS::DeclaredFunctionImp::execute () 
   from /usr/lib/libkjs.so.1 
#42 0x08f4608e in KJS::FunctionImp::call () from /usr/lib/libkjs.so.1 
#43 0x08f4ca48 in KJS::Object::call () from /usr/lib/libkjs.so.1 
#44 0x08f1766a in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#45 0x08f1bad6 in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#46 0x08f22083 in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#47 0x08f1b91e in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#48 0x08f2159b in KJS::DateObjectFuncImp::~DateObjectFuncImp () 
   from /usr/lib/libkjs.so.1 
#49 0x08f3ad39 in KJS::SourceCode::cleanup () from /usr/lib/libkjs.so.1 
#50 0x08f4d346 in KJS::Interpreter::evaluate () from /usr/lib/libkjs.so.1 
#51 0x070462f1 in TestFunctionImp::call () from /usr/lib/libkhtml.so.4 
#52 0x06edc245 in KHTMLPart::executeScript () from /usr/lib/libkhtml.so.4 
#53 0x06f486a4 in QXmlAttributes::~QXmlAttributes () 
   from /usr/lib/libkhtml.so.4 
#54 0x06f4dc39 in QXmlAttributes::~QXmlAttributes () 
   from /usr/lib/libkhtml.so.4 
#55 0x06fedbd5 in QMemArray<khtml::CSSOrderedProperty>::detach () 
   from /usr/lib/libkhtml.so.4 
#56 0x06fede5c in QMemArray<khtml::CSSOrderedProperty>::detach () 
   from /usr/lib/libkhtml.so.4 
#57 0x06fef095 in QMemArray<khtml::CSSOrderedProperty>::detach () 
   from /usr/lib/libkhtml.so.4 
#58 0x06fef1d6 in QMemArray<khtml::CSSOrderedProperty>::detach () 
   from /usr/lib/libkhtml.so.4 
#59 0x0124210e in QObject::activate_signal () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#60 0x007052dd in KIO::Job::result () from /usr/lib/libkio.so.4 
#61 0x00705350 in KIO::Job::emitResult () from /usr/lib/libkio.so.4 
#62 0x0070795e in KIO::SimpleJob::slotFinished () from /usr/lib/libkio.so.4 
#63 0x00716455 in KIO::TransferJob::slotFinished () from /usr/lib/libkio.so.4 
#64 0x00706a44 in KIO::TransferJob::qt_invoke () from /usr/lib/libkio.so.4 
#65 0x0124210e in QObject::activate_signal () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#66 0x012427e4 in QObject::activate_signal () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#67 0x006f400c in KIO::SlaveInterface::finished () from /usr/lib/libkio.so.4 
#68 0x006f6c06 in KIO::SlaveInterface::dispatch () from /usr/lib/libkio.so.4 
#69 0x006f5801 in KIO::SlaveInterface::dispatch () from /usr/lib/libkio.so.4 
#70 0x006f17d6 in KIO::Slave::gotInput () from /usr/lib/libkio.so.4 
#71 0x006f1b5f in KIO::Slave::qt_invoke () from /usr/lib/libkio.so.4 
#72 0x0124210e in QObject::activate_signal () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#73 0x012426a0 in QObject::activate_signal () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#74 0x015757d0 in QSocketNotifier::activated () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#75 0x0125d235 in QSocketNotifier::event () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#76 0x011e3539 in QApplication::internalNotify () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#77 0x011e36ca in QApplication::notify () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#78 0x003123b8 in KApplication::notify () from /usr/lib/libkdecore.so.4 
#79 0x011d79f2 in QEventLoop::activateSocketNotifiers () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#80 0x011936ae in QEventLoop::processEvents () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#81 0x011f8b85 in QEventLoop::enterLoop () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#82 0x011f8ade in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#83 0x011e273b in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#84 0x0427f51c in kdemain () from /usr/lib/libkdeinit_konqueror.so 
#85 0x00261694 in kdeinitmain () from /usr/lib/kde3/konqueror.so 
#86 0x0804dfb1 in ?? () 
#87 0x00000002 in ?? () 
#88 0x094813a8 in ?? () 
#89 0x00000001 in ?? () 
#90 0x09481353 in ?? () 
#91 0x00000000 in ?? () 
 
 
 
 
 
Comment 2 Sitsofe Wheeler 2005-04-02 05:44:17 EST
I have justed tested msn.com with mozilla-firefox-1.0.2-2mdk (I assume you are
using a Fedora version of firefox) and Konqueror 3.3.1-4.3.FC3 without any
problem. I don't have an MSN login so I can't comment on that part of this bug.

Do you have strange problems like this on ANY other site? How did you do your
upgrade? Is every possible upgrade installed?
Comment 3 Matthew Miller 2006-07-10 17:06:57 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Matěj Cepl 2007-05-15 18:33:14 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version available. Therefore
closing this bug as obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information.

Note You need to log in before you can comment on or make changes to this bug.